using System;

internal sealed class Delegate797 : MulticastDelegate
{
	public extern byte Invoke(object object_0);

	public static byte smethod_0(object object_0, Delegate797 delegate797_1)
	{
		return delegate797_1(object_0);
	}

	public extern Delegate797(object object_0, IntPtr intptr_0);

	static Delegate797()
	{
		Class10.smethod_13(typeof(Delegate797).TypeHandle);
	}

	internal static Delegate797 delegate797_0;
}
